|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QGraphicsSceneEvent Class Reference
[QtGui module]

The QGraphicsSceneEvent class provides a base class for all graphics view related events. More...

     #include <QGraphicsSceneEvent>

Inherits QEvent.

Inherited by QGraphicsSceneContextMenuEvent, QGraphicsSceneHoverEvent, QGraphicsSceneMouseEvent, and QGraphicsSceneWheelEvent.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Functions

- ~QGraphicsSceneEvent ()
- void setWidget ( QWidget * widget )
- QWidget * widget () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent

## Detailed Description

The QGraphicsSceneEvent class provides a base class for all graphics view related events.

## Member Function Documentation

### QGraphicsSceneEvent::~QGraphicsSceneEvent ()

Destroys the event.

### void QGraphicsSceneEvent::setWidget ( QWidget * widget )

Sets the widget related to this event.

See also widget().

### QWidget * QGraphicsSceneEvent::widget () const

Returns the widget where the event originated. If the event did not originate from a widget, 0 is returned.

See also setWidget().